%define gegl_ver_major	0.4

Name:		dibuja
Version:	0.21.12
Release:	%mkrel 2
Summary:	Gtk based basic paint program
License:	GPLv3
Group:		Graphics/Utilities
Url:		https://launchpad.net/dibuja
Source0:	https://launchpad.net/dibuja/trunk/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:		dibuja-0.21.12-babl-0.1.patch

BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(babl-0.1)
BuildRequires:	pkgconfig(gegl-0.4) >= %{gegl_ver_major}
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(exiv2)

%description
Dibuja is a program for quick small editing and drawing.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%find_lang %{name}

find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%doc AUTHORS README
%{_docdir}/%{name}/
%{_bindir}/%{name}
%{_libdir}/gegl-%{gegl_ver_major}/*.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.*


%changelog
* Fri Feb 24 2023 daviddavid <daviddavid> 0.21.12-2.mga9
+ Revision: 1945240
- add patch to fix build with babl-0.1

* Sun Jan 15 2023 daviddavid <daviddavid> 0.21.12-1.mga9
+ Revision: 1933592
- new version: 0.21.12

* Thu Mar 31 2022 umeabot <umeabot> 0.12.0-2.mga9
+ Revision: 1837721
- Mageia 9 Mass Rebuild

* Sun Jul 05 2020 daviddavid <daviddavid> 0.12.0-1.mga8
+ Revision: 1602285
- initial package dibuja

